﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Validate_CS : System.Web.UI.Page
{
    protected void ValidateFileSize(object sender, ServerValidateEventArgs e)
    {
        System.Drawing.Image img = System.Drawing.Image.FromStream(FileUpload1.PostedFile.InputStream);
        int height = img.Height;
        int width = img.Width;
        decimal size = Math.Round(((decimal)FileUpload1.PostedFile.ContentLength / (decimal)1024), 2);
        if (size > 100)
        {
            CustomValidator1.ErrorMessage = "File size must not exceed 100 KB.";
            e.IsValid = false;
        }
        if (height > 100 || width > 100)
        {
            CustomValidator1.ErrorMessage = "Height and Width must not exceed 100px.";
            e.IsValid = false;
        }
    }
}